Skip to main content
Legacy Lab SuppliesPO
🔍
Yamato Combination Refrigerator-Freezers

Yamato RFC Series Freezer / Refrigerator Combination

From $18,419.50
Yamato RFC Series Freezer / Refrigerator Combination: 3 models differing by combined capacity.
View Spec Sheet

Choose Your combined capacity (9.1 / 23.1 / 46.6 cu.ft.)

3 models in this family. Select one to see full specs, documents, and pricing.

Not sure which model fits your work? Make sure your quote request has the "🤝 Help me choose" box checked, so our team will get in touch for a consultation.

Coming from this page, we check the consultation box for you. Uncheck it if you just want pricing.

Compare all 3 models

Every model in the Yamato RFC Series Freezer / Refrigerator Combination family differs by combined capacity (9.1 / 23.1 / 46.6 cu.ft.). Specifications that differ are shown below.

ModelRFC-501Lab Freezer / Refrigerator Combi 4ºC, -20ºC, Auto Defrost, 115V, 9.1 cu.ft. 9.1 cu.ft.RFC-1301Lab Freezer / Refrigerator Combi 4ºC, -20ºC, Auto Defrost, 115V, 23.1 cu.ft. 23.1 cu.ft.RFC-2001Lab Freezer / Refrigerator Combi 4ºC, -20ºC, Auto Defrost, 115V, 46.6 cu.ft. 23.1 cu.ft.
Price$18,419.50 MSRP $21,670.00$23,217.75 MSRP $27,315.00$26,571.00 MSRP $31,260.00
TypeLaboratory freezer/refrigerator combination, two solid doorsLaboratory freezer/refrigerator combination, two solid doorsLaboratory freezer/refrigerator combination, three solid doors
DoorsTwo solid, lockingTwo solid, lockingThree solid, locking
Net/Gross Weight550 lbs.625 lbs.950 lbs.
Shelves2 per compartment, epoxy coated (adjustable)3 per compartment, epoxy coated (adjustable)3 per compartment, epoxy coated (adjustable)
Compressor1/4 hp (refrigerator), 1/3 hp (freezer)1/4 hp (refrigerator), 1/2 hp (freezer)1/3 hp (refrigerator), 1/2 hp (freezer)
Running Amps4.5A (refrigerator), 7.5A (freezer)5.7A (refrigerator), 6.0A (freezer)9.4A (refrigerator), 10.6A (freezer)
Total Capacity515 L / 18.2 cu.ft.1359 L / 48 cu.ft.1982 L / 70 cu.ft.
Freezer Capacity9.1 cu.ft.24 cu.ft. (per brochure)24 cu.ft. (per brochure)
View RFC-501 →View RFC-1301 →View RFC-2001 →

Shared by every model in this family

Legs:
Four locking
Class:
Capital — durable cold-storage instrument
Power Supply:
115V, 60 Hz, 1 phase
Evaporator:
Fin and tube
Insulation:
Polyurethane (CFC-free)
Supply Plug:
NEMA 5-15P (1 plug per chamber), UL listed
Freezer Defrost:
Automatic
Temperature Control:
Two - digital display (one per compartment)
Optional Accessories:
Chart recorder, leg seismic restraints, wall seismic restraints
Refrigerator Defrost:
Automatic

Looking at other brands too?

Compare this class of equipment spec-by-spec across our brands: same size, different manufacturer, honest guidance on which fits your application.

Compare Across Brands →

Yamato RFC Series Freezer / Refrigerator Combination

The Yamato Yamato RFC Series Freezer / Refrigerator Combination family covers 3 models, differing by combined capacity (9.1 / 23.1 / 46.6 cu.ft.).

Models in this family

  • RFC-501: Lab Freezer / Refrigerator Combi 4ºC , -20ºC , Auto Defrost, 115V, 9.1 cu.ft. 9.1 cu.ft.
  • RFC-1301: Lab Freezer / Refrigerator Combi 4ºC , -20ºC , Auto Defrost, 115V, 23.1 cu.ft. 23.1 cu.ft.
  • RFC-2001: Lab Freezer / Refrigerator Combi 4ºC , -20ºC , Auto Defrost, 115V, 46.6 cu.ft. 23.1 cu.ft.

Select a model above to see full specifications, pricing and availability.

✅

Authorized Distributor

Genuine, factory-warrantied units

🚚

Ships from USA

Domestic freight and parcel carriers

💬

Expert Support

Real specialists who know the equipment

💰

Competitive Pricing

Authorized-partner pricing

Frequently Asked Questions

Why Legacy Lab Supplies?

🏆

Authorized Dealer

We are an authorized distributor for Yamato Scientific, Haier Biomedical, Scientemp, Benchmark Scientific, and True Scientific. Every unit comes with full manufacturer warranty and factory support.

💡

Expert Guidance

Not sure which model fits your lab? Our team speaks your language. We help you spec the right equipment for your exact application and budget.

📋

Procurement Made Easy

PO-friendly, quote-ready, and net-term capable. We work with universities, hospitals, and government labs. No friction, no hassle.

💰

Competitive Pricing

Competitive pricing on the page, and we'll match any legitimate competitor price. You get premium equipment without the premium markup.

🚚

Reliable Fulfillment

Direct to your dock. You get the latest stock straight from the source. If we don't have inventory, we work with the manufacturer to get what you need.

🤝

Long-Term Partner

Legacy Lab Supplies isn't just a transaction. We're building a long-term relationship with every lab we serve, from first quote to repeat orders.